diff --git a/web/pgadmin/dashboard/static/js/Dashboard.jsx b/web/pgadmin/dashboard/static/js/Dashboard.jsx
index ebf4c082b..384c6ce91 100644
--- a/web/pgadmin/dashboard/static/js/Dashboard.jsx
+++ b/web/pgadmin/dashboard/static/js/Dashboard.jsx
@@ -353,18 +353,16 @@ export default function Dashboard({
             onClick={(e) => {
               e.preventDefault();
               row.toggleRowExpanded(!row.isExpanded);
-              if(!(row.id in schemaDict)){
-                let schema = new ActiveQuery({
-                  query: row.original.query,
-                  backend_type: row.original.backend_type,
-                  state_change: row.original.state_change,
-                  query_start: row.original.query_start,
-                });
-                setSchemaDict(prevState => ({
-                  ...prevState,
-                  [row.id]: schema
-                }));
-              }
+              let schema = new ActiveQuery({
+                query: row.original.query,
+                backend_type: row.original.backend_type,
+                state_change: row.original.state_change,
+                query_start: row.original.query_start,
+              });
+              setSchemaDict(prevState => ({
+                ...prevState,
+                [row.id]: schema
+              }));
             }}
             disabled={!canEditRow}
             aria-label="View the active session details"
diff --git a/web/pgadmin/static/js/components/PgTable.jsx b/web/pgadmin/static/js/components/PgTable.jsx
index b3e99f740..2dfec657f 100644
--- a/web/pgadmin/static/js/components/PgTable.jsx
+++ b/web/pgadmin/static/js/components/PgTable.jsx
@@ -228,12 +228,12 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
   const tableRef = React.useRef();
   const rowHeights = React.useRef({});
 
-  // Reset Search vakue in tab changed.
+  // Reset Search vakue on tab changes.
   React.useEffect(()=>{
     setSearchVal('');
     rowHeights.current = {};
     tableRef.current?.resetAfterIndex(0);
-  }, [columns]);
+  }, [data]);
 
   function getRowHeight(index) {
     return rowHeights.current[index] || ROW_HEIGHT;
